package cn.reghao.oss.console.app.db.mapper;

import cn.reghao.jutil.jdk.db.BaseMapper;
import cn.reghao.oss.console.app.model.po.UploadChannel;

import java.util.List;

/**
 * @author reghao
 * @date 2024-07-02 18:15:27
 */
public interface UploadChannelRepository extends BaseMapper<UploadChannel> {
    int countByCreateBy(int createBy);
    List<UploadChannel> findByCreateBy(int createBy);
    List<UploadChannel> findByCreateByAndNodeId(int createBy, int nodeId);
    UploadChannel findByCreateByAndChannelId(int createBy, int channelId);
    UploadChannel findByCreateByAndPrefix(int createBy, String prefix);
    UploadChannel findById(int id);
}
